jun

DSM 6.1.x Loader

Recommended Posts

Hello,
I can not add licenses to enable cameras. The system says "Connection failed. Check network settings"
thank you

Beppe

Cattura.JPG

  • Like 1

Share this post


Link to post
Share on other sites

To update an existing esxi 6.5 install (DSM 6.1-15047 Update 2) to the latest I've read that a clean install is required due to a changed filesystem?  The data partitions are already in BTRFS, but is there something else that needs doing in order to upgrade?  I've got a lot of data which I don't want to have to add again so avoiding clean would be grand. @Polanskiman you're very aware of the issues at the moment and this thread has lots of snippets of information as well as people asking for advice... Perhaps updaing the OP again with details for ESXi and baremetal installs and what is required to upgrade what be very valuable.

 

Thanks,

 

Chris

Share this post


Link to post
Share on other sites

I've read through this thread but must have missed something.

 

My desktop is an   HP dc7900 with an Intel Core 2 Duo E8400

 

I've tried synoboot 1.02b for all 3 versions (ds916 / ds3615 / ds3617) and it doesn't boot.  It goes straight to the next step in the boot order which is the network boot.

The vid/pid/sn/mac was set for each attempt.

 

The same configuration works fine with XPEnoboot_DS3615xs_5.2-5644.4.img

 

thanks

Share this post


Link to post
Share on other sites

It seems the latest bootloader still can't support hyper-v, @jun, could you help to build one with the support of hyper-v, or give us some hint how to build the network ko for hyper-v?  Thank you very much!

Share this post


Link to post
Share on other sites
1 hour ago, jjaing said:

It seems the latest bootloader still can't support hyper-v, @jun, could you help to build one with the support of hyper-v, or give us some hint how to build the network ko for hyper-v?  Thank you very much!

Workaround: I transfered from 5.2 (hyper-V) to 6.1 (VMWare Workstation 12) and everyhing works well.

Share this post


Link to post
Share on other sites
22 hours ago, Benoire said:

To update an existing esxi 6.5 install (DSM 6.1-15047 Update 2) to the latest I've read that a clean install is required due to a changed filesystem?  The data partitions are already in BTRFS, but is there something else that needs doing in order to upgrade?  I've got a lot of data which I don't want to have to add again so avoiding clean would be grand. @Polanskiman you're very aware of the issues at the moment and this thread has lots of snippets of information as well as people asking for advice... Perhaps updaing the OP again with details for ESXi and baremetal installs and what is required to upgrade what be very valuable.

 

Thanks,

 

Chris

 

I am not very aware of ESXI unfortunately so I'll leave that to someone with the appropriate expertise.

Share this post


Link to post
Share on other sites
4 hours ago, jjaing said:

It seems the latest bootloader still can't support hyper-v, @jun, could you help to build one with the support of hyper-v, or give us some hint how to build the network ko for hyper-v?  Thank you very much!

 

2 hours ago, sstyle said:

Workaround: I transfered from 5.2 (hyper-V) to 6.1 (VMWare Workstation 12) and everyhing works well.

I want to use my usb disk, I don't know how to mount the entire disk in vmware

Share this post


Link to post
Share on other sites
14 hours ago, xpenology5User said:

I've read through this thread but must have missed something.

 

My desktop is an   HP dc7900 with an Intel Core 2 Duo E8400

 

I've tried synoboot 1.02b for all 3 versions (ds916 / ds3615 / ds3617) and it doesn't boot.  It goes straight to the next step in the boot order which is the network boot.

The vid/pid/sn/mac was set for each attempt.

 

The same configuration works fine with XPEnoboot_DS3615xs_5.2-5644.4.img

 

thanks

I am using the same build for my xpenolgy server. And I am encountering the same problems you are having. Older DSM 5.2 works fine, but de DSM 6.x.x loaders won't boot via usb.

Share this post


Link to post
Share on other sites
2 hours ago, Polanskiman said:

 

I am not very aware of ESXI unfortunately so I'll leave that to someone with the appropriate expertise.

Ok thanks.  I do know that I can create a new install from the loader and let it install to a virtual disk and then re-add my current disks to repair and it will work but then I loose ALL my settings, configs, active directory setup, etc.  What I want to know is how to upgrade without losing any configuration data.

Share this post


Link to post
Share on other sites
On 24/6/2017 at 9:44 AM, beppescuba said:

Hello,
I can not add licenses to enable cameras. The system says "Connection failed. Check network settings"
thank you

Beppe

Cattura.JPG

 

i have the same problem he on 6.0.2 and tried 6.1.2 same problem ??? please help us.... thanks

Share this post


Link to post
Share on other sites

Anyone knows when the RELEAS version will be presented.

Jun's loader is now at 1.02b and I saw someone here who has made an XPE version of this loader...

I would really like to know when this will arrive ;)

Share this post


Link to post
Share on other sites
On 20-6-2017 at 9:27 AM, epicurean said:

I did a fresh install on Esxi 6 with the 1.02a 3615 loader. All ok so far

 

How do I update my loader to the newer 1.02b, in anticipation for the next update from Synology?

How? :o How the hell do you get it to boot of the 1.02b .img file?

Share this post


Link to post
Share on other sites
7 minutes ago, TmRNL said:

How? :o How the hell do you get it to boot of the 1.02b .img file?

All I did was use Starwinds v2v converter and convert the img to VMDK.  I edited the grub first though to change serial, timeout, which boot line to default to and then finally added the command to hide the IDE drives so DSM only shows the sd(x) drives.

 

Once you have synoboot.VMDK, upload it to the datastore and then replace the current 50MB VMDK in your VM...IF in doubt, create a new vm  to test.

  • Like 1

Share this post


Link to post
Share on other sites
23 hours ago, zenprox said:

+5

+6.

I try to find another machine with same size and same functions... Nothing...
A solution is to buy a G8, and take a Xeon.

Personnaly, i put ESXI on my N40L and use the last loader.
But i cannot do everything ... (HA Cluster doesn't work...)

Share this post


Link to post
Share on other sites
I successfully installed the 1.02b mod for hardware (mini-itx intel motherboard).
But I have a pci-raid installed, which is now undefined. In the previous version, the driver was included in extra.lzma. Is there such an extended file for the new version?
Thank you. Sorry for my English 

Share this post


Link to post
Share on other sites
8 hours ago, Benoire said:

All I did was use Starwinds v2v converter and convert the img to VMDK.  I edited the grub first though to change serial, timeout, which boot line to default to and then finally added the command to hide the IDE drives so DSM only shows the sd(x) drives.

 

Once you have synoboot.VMDK, upload it to the datastore and then replace the current 50MB VMDK in your VM...IF in doubt, create a new vm  to test.

Worked like a charm :smile:

Running new VM on 6.1. I didnt dare updating my 5.2.. i think read that it might not go that well :S

Share this post


Link to post
Share on other sites
8 hours ago, Benoire said:

All I did was use Starwinds v2v converter and convert the img to VMDK.  I edited the grub first though to change serial, timeout, which boot line to default to and then finally added the command to hide the IDE drives so DSM only shows the sd(x) drives.

 

Once you have synoboot.VMDK, upload it to the datastore and then replace the current 50MB VMDK in your VM...IF in doubt, create a new vm  to test.

Do you also know how i could update my 5.2 to 6.1 with the new vmdk if i used an ISO to boot from? :S

Share this post


Link to post
Share on other sites

for whom who has another real synology with CMS (Central Management System), you can use this package to connect the XPENOLOGY and centralize all the notifications. The smartphone app FINDER will receive the messages if the REAL SYNOLOGY as paired and will be the MASTER on CMS. So, you dont need the PUSH SERVICE ANYMORE.

 

But loader 1.02b has some problems for me, the CONTROL PANEL > INFO > General tab is black and the CMS is having some problems to allow all functionality (it works fine with previous loader/DSM), but notification IS WORKING. It could be great if the GENERAL BLANK PAGE was fixed, because it will fix CMS communication (they use the same method to grab the results)

 

ps. I use regular SN/MAC from the loader, no customization. on ESXi 6.5

Share this post


Link to post
Share on other sites
2 hours ago, TmRNL said:

Do you also know how i could update my 5.2 to 6.1 with the new vmdk if i used an ISO to boot from? :S

I think you can, but I've read that the latest update to 6.1 will not load properly unless you have clean built the installation; I'm cautious about moving my 6.1 to the latest for this reason!

 

You'll be better of using the new VM and attaching what ever storage you have (PCI-passthrough etc.) to it and then get DSM to repair the drives to fix their boot partitions.  Once you've done that you can then remove the virtual HDD you used to install DSM on for the 6.1 install... There is a thread on updating 5.2 to 6...

  • Like 1

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now